<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

Berkeley DB .NET API Documentation
JoinCursor Members
JoinCursor Class Methods Properties See Also Send Feedback

The JoinCursor type exposes the following members.

# Methods

| Name | Description
--- | --- | ---
| Close | Discard the cursor. It is possible for the Close() method to throw a DeadlockException, signaling that any enclosing transaction should be aborted. If the application is already intending to abort the transaction, this error should be ignored, and the application should proceed. After Close has been called, regardless of its result, the object may not be used again.
| Dispose | Release the resources held by this object, and close the cursor if it's still open.
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| GetEnumerator | Returns an enumerator that iterates through the JoinCursor.
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the type of the current instance. (Inherited from Object.)
| MoveNext | Overloaded.
| MoveNextItem | Overloaded.
| ToString | Returns a string that represents the current object. (Inherited from Object.)

# Properties

| Name | Description
--- | --- | ---
| Current | The key/data pair at which the cursor currently points.

# See Also

JoinCursor Class
BerkeleyDB Namespace